/*
 *   ORXONOX - the hottest 3D action shooter ever to exist
 *                    > www.orxonox.net <
 *
 *
 *   License notice:
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License
 *   as published by the Free Software Foundation; either version 2
 *   of the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 *   Master of Desaster:
 *      Manuel Meier
 *   Co-authors:
 *      Cyrill Burgener
 *
 */

/**
    @file OrxoKart.h
    @brief Gametype. For more information see .cc file
    @ingroup OrxoKart
*/

#ifndef _OrxoKart_H__
#define _OrxoKart_H__

#include "OrxoKartPrereqs.h"

#include <vector>

#include "gametypes/Gametype.h"
#include "OrxoKartOrigin.h"
#include "OrxoKartKart.h"
namespace orxonox
{
    class _OrxoKartExport OrxoKart : public Gametype
    {
       public:
            OrxoKart(Context* context);

            virtual void tick(float dt) override;

            void setOrigin(OrxoKartOrigin* origin)
                { this->origin_ = origin; }

            inline int getRaceFinished() const
                { return this->raceFinished; }
            inline int getNumberOfShrooms() const
                { return this->numberOfShrooms; }   

        private:
            OrxoKartKart* player;
            WeakPtr<OrxoKartOrigin> origin_;
            OrxoKartFlag* flag_;
            std::vector<OrxoKartTile*> tiles;
            int numberOfWP;
            std::vector<OrxoKartTile*> wayPoints;
            int wayPointCounter = 0;
            bool raceFinished;
            bool firstTick_;

            int numberOfShrooms;

            int s;
            int n;
            int level;
    };
}

#endif /* _OrxoKart_H__ */
