/*
 *
 *
 *   ORXONOX - the hottest 3D action shooter ever to exist
 *                    > www.orxonox.net <
 *
 *
 *   License notice:
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License
 *   as published by the Free Software Foundation; either version 2
 *   of the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 *   Author:
 *      Cyrill Burgener
 *
 */

 /**
    @file ShroomHUD.h
    @brief Declaration of the ShroomHUD class.
*/

#ifndef _ShroomHUD_H__
#define _ShroomHUD_H__

#include "OrxoKartPrereqs.h"

#include "util/OgreForwardRefs.h"
#include "overlays/OrxonoxOverlay.h"
#include "tools/interfaces/Tickable.h"

namespace orxonox
{
    class _OrxoKartExport ShroomHUD : public OrxonoxOverlay , public Tickable
    {
    public:
        ShroomHUD(Context* context);
        virtual ~ShroomHUD();

        virtual void tick(float dt) override;
        virtual void changedOwner() override;

        void setShroomCount(int shroomCount);

    private:
        OrxoKart* orxoKartGame_;
        Ogre::PanelOverlayElement* panel_;
        int shroomCount_;
    };
}
#endif /* _ShroomHUD_H__ */
