/*
 *   ORXONOX - the hottest 3D action shooter ever to exist
 *                    > www.orxonox.net <
 *
 *
 *   License notice:
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License
 *   as published by the Free Software Foundation; either version 2
 *   of the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 *   Author:
 *      Julien Kindle
 *   Co-authors:
 *      
 *
 */

/**
    @file SOBCenterpoint.cc
    @brief The SOBCenterpoint is a StaticEntity which represents the level of the minigame. 
*/

#include "SOBCenterpoint.h"

#include "core/CoreIncludes.h"
#include "core/XMLPort.h"
#include "SOB.h"

namespace orxonox
{
    RegisterClass(SOBCenterpoint);

    SOBCenterpoint::SOBCenterpoint(Context* context) : StaticEntity(context)
    {
        RegisterObject(SOBCenterpoint);
        checkGametype();
    }

    void SOBCenterpoint::XMLPort(Element& xmlelement, XMLPort::Mode mode)
    {
        SUPER(SOBCenterpoint, XMLPort, xmlelement, mode);

      
        
        XMLPortParam(SOBCenterpoint, "cameraOffset", setCameraOffset, getCameraOffset, xmlelement, mode);
        
        XMLPortParam(SOBCenterpoint, "figureTemplate", setFigureTemplate, getFigureTemplate, xmlelement, mode);
        
    }

    void SOBCenterpoint::checkGametype()
    {
        if (getGametype() != nullptr && this->getGametype()->isA(Class(SOB)))
        {
            SOB* SOBGametype = orxonox_cast<SOB*>(this->getGametype());
            SOBGametype->setCenterpoint(this);
        }
    }
}
